| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
stan::VectorView< const T, is_array, throw_if_accessed > Class Template Reference

VectorView that has const correctness. More...

`#include <VectorView.hpp>`

## Public Types
typedef scalar_type< T >::type | scalar_t

## Public Member Functions
| VectorView (const scalar_t &c)
| VectorView (const scalar_t *x)
| VectorView (const std::vector< scalar_t > &v)
template<int R, int C>
| VectorView (const Eigen::Matrix< scalar_t, R, C > &m)
const scalar_t & | operator[] (int i) const

## Detailed Description

### template<typename T, bool is_array, bool throw_if_accessed>
class stan::VectorView< const T, is_array, throw_if_accessed >

VectorView that has const correctness.

Definition at line 72 of file VectorView.hpp.

## Member Typedef Documentation

template<typename T , bool is_array, bool throw_if_accessed>

typedef scalar_type<T>::type stan::VectorView< const T, is_array, throw_if_accessed >::scalar_t

Definition at line 74 of file VectorView.hpp.

## Constructor & Destructor Documentation

template<typename T , bool is_array, bool throw_if_accessed>

stan::VectorView< const T, is_array, throw_if_accessed >::VectorView | ( | const scalar_t & | c | ) |
| inline explicit

Definition at line 76 of file VectorView.hpp.

template<typename T , bool is_array, bool throw_if_accessed>

stan::VectorView< const T, is_array, throw_if_accessed >::VectorView | ( | const scalar_t * | x | ) |
| inline explicit

Definition at line 78 of file VectorView.hpp.

template<typename T , bool is_array, bool throw_if_accessed>

stan::VectorView< const T, is_array, throw_if_accessed >::VectorView | ( | const std::vector< scalar_t > & | v | ) |
| inline explicit

Definition at line 80 of file VectorView.hpp.

template<typename T , bool is_array, bool throw_if_accessed>
template<int R, int C>

stan::VectorView< const T, is_array, throw_if_accessed >::VectorView | ( | const Eigen::Matrix< scalar_t, R, C > & | m | ) |
| inline explicit

Definition at line 83 of file VectorView.hpp.

## Member Function Documentation

template<typename T , bool is_array, bool throw_if_accessed>

const scalar_t& stan::VectorView< const T, is_array, throw_if_accessed >::operator[] | ( | int | i | ) | const
| inline

Definition at line 85 of file VectorView.hpp.

The documentation for this class was generated from the following file:

- stan/math/prim/scal/meta/VectorView.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.